CMSIS-DSP: arm_dct4_instance_q31 Struct Reference

| CMSIS-DSP Version 1.5.2 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_dct4_instance_q31 Struct Reference

Instance structure for the Q31 DCT4/IDCT4 function.

## Data Fields
uint16_t | N
uint16_t | Nby2
q31_t | normalize
q31_t * | pTwiddle
q31_t * | pCosFactor
arm_rfft_instance_q31 * | pRfft
arm_cfft_radix4_instance_q31 * | pCfft

## Field Documentation

uint16_t arm_dct4_instance_q31::N

length of the DCT4.

Referenced by arm_dct4_init_q31(), and arm_dct4_q31().

uint16_t arm_dct4_instance_q31::Nby2

half of the length of the DCT4.

Referenced by arm_dct4_init_q31(), and arm_dct4_q31().

q31_t arm_dct4_instance_q31::normalize

normalizing factor.

Referenced by arm_dct4_init_q31(), and arm_dct4_q31().

arm_cfft_radix4_instance_q31* arm_dct4_instance_q31::pCfft

points to the complex FFT instance.

Referenced by arm_dct4_init_q31().

q31_t* arm_dct4_instance_q31::pCosFactor

points to the cosFactor table.

Referenced by arm_dct4_init_q31(), and arm_dct4_q31().

arm_rfft_instance_q31* arm_dct4_instance_q31::pRfft

points to the real FFT instance.

Referenced by arm_dct4_init_q31(), and arm_dct4_q31().

q31_t* arm_dct4_instance_q31::pTwiddle

points to the twiddle factor table.

Referenced by arm_dct4_init_q31(), and arm_dct4_q31().